commit: 06da4a4232e5eee1f991d12f393ff5afed85d074
Author: Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 7 15:02:47 2020 +0000
Commit: Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Sun Nov 8 00:28:46 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=06da4a42
dev-util/glib-utils: Version bump to 2.66.2
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>
dev-util/glib-utils/Manifest | 1 +
dev-util/glib-utils/glib-utils-2.66.2.ebuild | 65 ++++++++++++++++++++++++++++
2 files changed, 66 insertions(+)
diff --git a/dev-util/glib-utils/Manifest b/dev-util/glib-utils/Manifest
index ea11016deeb..d03bf64f00d 100644
--- a/dev-util/glib-utils/Manifest
+++ b/dev-util/glib-utils/Manifest
@@ -1,2 +1,3 @@
DIST glib-2.62.6.tar.xz 4703424 BLAKE2B
0a27245be2575c574dcc730dd051a8c284f421dbc46579aadc5fbbacb8f934af4374b61bb26085e5c9ab78a868c567818f3fb9d67adddce37f5c4fec00e0d276
SHA512
8e3972a371f3c1a50b7d245b30e4f740583ad72ba4ab325e0e15e0732be44dfb69b603fb39dcf4989255a23a181e9ea5dd25982dd94c386cd9f21952243ad6f5
DIST glib-2.64.5.tar.xz 4778456 BLAKE2B
7fdee0e16a7ac820f4c4f7dc66d37add464d3005e89e6013302d3ef103319331811d68e9b42db072b82242c3d7badfbd085b69333e770012def89dc8aae7a2eb
SHA512
a87537274619b6de88a0e68555059036ac18c748b5005c8d84728646b0db342fde0b8c5b303b9ad79f64d71ea4ed990d52a4fbd68cda3ca74aed5fe4d497e060
+DIST glib-2.66.2.tar.xz 4836456 BLAKE2B
5484a7fe497dbe06df7ce11dbc8836c95dbb01e6e309516b82158f2915eeee36ccbe6e904cb6ae9a5a0223ccc0b52f6e64d61a418bf790538bc90388430977b2
SHA512
30278c066c6b209f45fcfdb9ffc4732236451464506b93c0fff0964ff8aac58c15be85c3793c686d4740d9d97857984bc0ab71e38d5da11c5fd860e569fb6cb9
diff --git a/dev-util/glib-utils/glib-utils-2.66.2.ebuild
b/dev-util/glib-utils/glib-utils-2.66.2.ebuild
new file mode 100644
index 00000000000..03ff214270c
--- /dev/null
+++ b/dev-util/glib-utils/glib-utils-2.66.2.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9} )
+GNOME_ORG_MODULE="glib"
+
+inherit gnome.org python-single-r1
+
+DESCRIPTION="Build utilities for GLib using projects"
+HOMEPAGE="https://www.gtk.org/"
+
+LICENSE="LGPL-2.1+"
+SLOT="0" # /usr/bin utilities that can't be parallel installed by their nature
+IUSE=""
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv
~s390 ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos
~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris
~x86-solaris ~x86-winnt"
+
+RDEPEND="${PYTHON_DEPS}
+ !<dev-libs/glib-2.56.2:2
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ dev-libs/libxslt
+ app-text/docbook-xsl-stylesheets
+"
+
+src_configure() { :; }
+
+do_xsltproc_command() {
+ # Taken from meson.build for manual manpage building - keep in sync
(also copied to dev-util/gdbus-codegen)
+ xsltproc \
+ --nonet \
+ --stringparam man.output.quietly 1 \
+ --stringparam funcsynopsis.style ansi \
+ --stringparam man.th.extra1.suppress 1 \
+ --stringparam man.authors.section.enabled 0 \
+ --stringparam man.copyright.section.enabled 0 \
+ -o "${2}" \
+
http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl \
+ "${1}" || die "manpage generation failed"
+}
+
+src_compile() {
+ sed -e "s:@VERSION@:${PV}:g;s:@PYTHON@:python:g"
gobject/glib-genmarshal.in > gobject/glib-genmarshal || die
+ sed -e "s:@VERSION@:${PV}:g;s:@PYTHON@:python:g"
gobject/glib-mkenums.in > gobject/glib-mkenums || die
+ sed -e "s:@GLIB_VERSION@:${PV}:g;s:@PYTHON@:python:g"
glib/gtester-report.in > glib/gtester-report || die
+ do_xsltproc_command docs/reference/gobject/glib-genmarshal.xml
docs/reference/gobject/glib-genmarshal.1
+ do_xsltproc_command docs/reference/gobject/glib-mkenums.xml
docs/reference/gobject/glib-mkenums.1
+ do_xsltproc_command docs/reference/glib/gtester-report.xml
docs/reference/glib/gtester-report.1
+}
+
+src_install() {
+ python_fix_shebang gobject/glib-genmarshal
+ python_fix_shebang gobject/glib-mkenums
+ python_fix_shebang glib/gtester-report
+ exeinto /usr/bin
+ doexe gobject/glib-genmarshal
+ doexe gobject/glib-mkenums
+ doexe glib/gtester-report
+ doman docs/reference/gobject/glib-genmarshal.1
+ doman docs/reference/gobject/glib-mkenums.1
+ doman docs/reference/glib/gtester-report.1
+}